mahdy_sharifi

Well-Known Member
Feb 26, 2012
220
1
68
cPanel Access Level
Root Administrator
Hello :

I get following error during cpanel -server update . please guide :

Code:
--> Running transaction check
---> Package ea-libxml2.x86_64 0:2.9.7-1.1.1.cpanel will be updated
--> Processing Dependency: libxml2 = 2.7.6-21.el6_8.1 for package: libxml2-devel-2.7.6-21.el6_8.1.x86_64
---> Package kernel.x86_64 0:2.6.32-504.8.1.el6 will be erased
---> Package kernel-devel.x86_64 0:2.6.32-696.10.2.el6 will be erased
--> Finished Dependency Resolution
Error: Package: libxml2-devel-2.7.6-21.el6_8.1.x86_64 (@updates)
           Requires: libxml2 = 2.7.6-21.el6_8.1
           Removing: ea-libxml2-2.9.7-1.1.1.cpanel.x86_64 (@EA4)
               libxml2
           Updated By: ea-libxml2-2.9.7-3.3.1.cpanel.x86_64 (EA4)
               Not found
           Installed: libxml2-2.7.8-1.x86_64 (installed)
               libxml2 = 2.7.8-1
           Available: libxml2-2.7.6-21.el6_8.1.i686 (base)
               libxml2 = 2.7.6-21.el6_8.1
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
 

mahdy_sharifi

Well-Known Member
Feb 26, 2012
220
1
68
cPanel Access Level
Root Administrator
Code:
repo id                                                               repo name                                                                              status
EA4                                                                   EA4 ( EasyApache 4 )                                                                    2,679+431
cpanel-addons-production-feed                                         cPanel Addons Production Feed                                                                  55
base                                                                  CentOS-6 - Base                                                                          6,666+47
cpanel-plugins                                                        cPanel Plugins project (CentOS 6)                                                             113
epel                                                                  Extra Packages for Enterprise Linux 6 - x86_64                                         11,804+717
extras                                                                CentOS-6 - Extras                                                                              31
updates                                                               CentOS-6 - Updates                                                                          121+1
repolist: 21,469
 
Last edited:

mahdy_sharifi

Well-Known Member
Feb 26, 2012
220
1
68
cPanel Access Level
Root Administrator
sorry :

Code:
 rpm -qa|grep libxm
cpanel-perl-526-libxml-perl-0.08-1.cp1170.noarch
ea-libxml2-2.9.7-1.1.1.cpanel.x86_64
libxml2-devel-2.7.6-21.el6_8.1.x86_64
libxml2-python-2.7.8-1.x86_64
libxml2-2.7.8-1.x86_64
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,910
2,215
363
libxml2-2.7.8-1.x86_64
Hello,

It looks like the your system is using a version of the libxml2 RPM that isn't provided by default with CentOS 6. On your system:

Code:
libxml2-2.7.8-1.x86_64
On a standard CentOS 6 system:

Code:
libxml2-2.7.6-21.el6_8.1.x86_64
This is leading to dependency issues when YUM attempts to update the libxml2-devel RPM. Can you provide more information on how this RPM was updated on your system?

Thank you.